petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscSectionCreate

Allocates PetscSection space and sets the map contents to the default.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode PetscSectionCreate(MPI_Comm comm, PetscSection *s)

Collective on MPI_Comm Many br

### Input Parameters

| comm | - the MPI communicator Many br
| s | - pointer to the section Many br

Many br

Notes: Typical calling sequence Many br

          PetscSectionCreate(MPI_Comm,PetscSection *);

          PetscSectionSetNumFields(PetscSection, numFields);

          PetscSectionSetChart(PetscSection,low,high);

          PetscSectionSetDof(PetscSection,point,numdof);

          PetscSectionSetUp(PetscSection);

          PetscSectionGetOffset(PetscSection,point,PetscInt *);

          PetscSectionDestroy(PetscSection);

The PetscSection object and methods are intended to be used in the PETSc Vec and Mat implementions; it is Many brrecommended they not be used in user codes unless you really gain something in their use. Many br

### See Also

PetscSection, PetscSectionDestroy()

Level:developer
Location:src/vec/is/utils/vsectionis.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ts/examples/tutorials/ex11.c.html